summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDenis Dupeyron <calchan@gentoo.org>2016-02-02 11:36:28 -0700
committerDenis Dupeyron <calchan@gentoo.org>2016-02-02 11:43:22 -0700
commit4045336f08c2902791659d44a87312be39165373 (patch)
treefb4d541e4dd0cb0c8e09a5fe1df88fc19b9bc38e /xfce-base
parentqt5-build.eclass: make gcc version check fatal starting with Qt 5.6 (diff)
downloadgentoo-4045336f08c2902791659d44a87312be39165373.tar.gz
gentoo-4045336f08c2902791659d44a87312be39165373.tar.bz2
gentoo-4045336f08c2902791659d44a87312be39165373.zip
xfce-base/xfce4-session: screensaver fixes
Add x11-misc/light-locker as one of the possible backends for locking the screen. Add the corresponding command to the xflock4 script. Remove gnome-extra/gnome-screensaver as one of the possible backends for locking the screen. This silences repoman. Gnome 3 does not use it and Gnome 2 no longer exists in portage, thus the package has disappeared. Leave the corresponding command in the xflock4 script just in case some of our users are still using gnome-screensaver from an overlay.
Diffstat (limited to 'xfce-base')
-rw-r--r--xfce-base/xfce4-session/files/xfce4-session-4.12.1-light-locker_support_to_xflock4.patch17
-rw-r--r--xfce-base/xfce4-session/xfce4-session-4.12.1-r1.ebuild74
2 files changed, 91 insertions, 0 deletions
diff --git a/xfce-base/xfce4-session/files/xfce4-session-4.12.1-light-locker_support_to_xflock4.patch b/xfce-base/xfce4-session/files/xfce4-session-4.12.1-light-locker_support_to_xflock4.patch
new file mode 100644
index 00000000000..cb472edfe5d
--- /dev/null
+++ b/xfce-base/xfce4-session/files/xfce4-session-4.12.1-light-locker_support_to_xflock4.patch
@@ -0,0 +1,17 @@
+--- scripts/xflock4.orig 2016-02-02 10:40:15.726495183 -0700
++++ scripts/xflock4 2016-02-02 10:43:17.548061336 -0700
+@@ -24,10 +24,12 @@
+ PATH=/bin:/usr/bin
+ export PATH
+
+-# Lock by xscreensaver or gnome-screensaver, if a respective daemon is running
++# Lock by xscreensaver, gnome-screensaver or light-locker, if a respective
++# daemon is running
+ for lock_cmd in \
+ "xscreensaver-command -lock" \
+- "gnome-screensaver-command --lock"
++ "gnome-screensaver-command --lock" \
++ "light-locker-command --lock"
+ do
+ $lock_cmd >/dev/null 2>&1 && exit
+ done
diff --git a/xfce-base/xfce4-session/xfce4-session-4.12.1-r1.ebuild b/xfce-base/xfce4-session/xfce4-session-4.12.1-r1.ebuild
new file mode 100644
index 00000000000..a5bed38ec8b
--- /dev/null
+++ b/xfce-base/xfce4-session/xfce4-session-4.12.1-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EAUTORECONF=1
+inherit xfconf
+
+DESCRIPTION="A session manager for the Xfce desktop environment"
+HOMEPAGE="http://docs.xfce.org/xfce/xfce4-session/start"
+SRC_URI="mirror://xfce/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="debug nls policykit systemd upower +xscreensaver"
+
+COMMON_DEPEND=">=dev-libs/dbus-glib-0.100:=
+ x11-apps/iceauth
+ x11-libs/libSM:=
+ >=x11-libs/libwnck-2.30:1=
+ x11-libs/libX11:=
+ >=xfce-base/libxfce4util-4.11:=
+ >=xfce-base/libxfce4ui-4.12.1:=
+ >=xfce-base/xfconf-4.10:=
+ !xfce-base/xfce-utils
+ !=xfce-base/libxfce4ui-4.12.0
+ policykit? ( >=sys-auth/polkit-0.102:= )
+ upower? ( || ( >=sys-power/upower-0.9.23 sys-power/upower-pm-utils ) )"
+RDEPEND="${COMMON_DEPEND}
+ x11-apps/xrdb
+ nls? ( x11-misc/xdg-user-dirs )
+ !systemd? ( upower? ( sys-power/pm-utils ) )
+ xscreensaver? ( || (
+ >=x11-misc/xscreensaver-5.26
+ x11-misc/light-locker
+ >=x11-misc/xlockmore-5.43
+ x11-misc/slock
+ x11-misc/alock[pam]
+ ) )"
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+REQUIRED_USE="systemd? ( policykit )"
+
+pkg_setup() {
+ PATCHES=(
+ "${FILESDIR}"/${PN}-4.10.1-alock_support_to_xflock4.patch
+ "${FILESDIR}"/${PN}-4.12.1-light-locker_support_to_xflock4.patch
+ )
+
+ XFCONF=(
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ $(use_enable policykit polkit)
+ --with-xsession-prefix="${EPREFIX}"/usr
+ $(xfconf_use_debug)
+ )
+
+ use upower && XFCONF+=( --enable-upower )
+
+ DOCS=( AUTHORS BUGS ChangeLog NEWS README TODO )
+}
+
+src_install() {
+ xfconf_src_install
+
+ local sessiondir=/etc/X11/Sessions
+ echo startxfce4 > "${T}"/Xfce4
+ exeinto ${sessiondir}
+ doexe "${T}"/Xfce4
+ dosym Xfce4 ${sessiondir}/Xfce
+}